# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [4.0.0](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@3.0.2...@terminus/ui-button@4.0.0) (2020-12-16)


### Bug Fixes

* **Button:** upgrade to NG11 & TS4 ([1c0e7eb](https://github.com/GetTerminus/terminus-oss/commit/1c0e7eb3d73962053fb718bee01f276ba738a254))


### BREAKING CHANGES

* **Button:** Now requires NG11+ and TS4+





## [3.0.2](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@3.0.1...@terminus/ui-button@3.0.2) (2020-12-04)


### Bug Fixes

* **Button:** background now has correct transition ([38f4afd](https://github.com/GetTerminus/terminus-oss/commit/38f4afd779813eab15ceea23b760ff5e6940c7bc))





## [3.0.1](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@3.0.0...@terminus/ui-button@3.0.1) (2020-11-17)

**Note:** Version bump only for package @terminus/ui-button





# [3.0.0](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.2.1...@terminus/ui-button@3.0.0) (2020-11-17)


### Features

* **Button:** remove dependency on FontAwesome, remove collapsible format ([130f628](https://github.com/GetTerminus/terminus-oss/commit/130f628f61330e9fec51e1927a5cd830c48abe81)), closes [#450](https://github.com/GetTerminus/terminus-oss/issues/450)


### BREAKING CHANGES

- `format` @Input no longer supported
- `collapsed` and `collapseDelay` @Inputs no longer supported
- `icon` @Input no longer supported

This change accomplishes:

- Unblock all upstream packages that wish to remove the dependency on FontAwesome.
- Remove unneeded functionality to simplify ongoing maintenance.

### Migration Notes 3.0.0

1. Update any collapsible buttons by removing any of the 3 removed inputs:

```diff
<ts-button
- format="collapsible"
- collapseDelay="100"
- [collapsed]="true"
  (clicked)="myFunc($event)"
>Click me!</ts-button>
```

2. Update any buttons to use CDN icons instead of passing an icon reference in:

Import the needed styles:

```html
<!-- Don't forget to update the integrity SHA -->
<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.15.1/css/solid.css" integrity="SHA-HERE" crossorigin="anonymous">
<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.15.1/css/fontawesome.css" integrity="SHA-HERE" crossorigin="anonymous">
```

Pass your icon in as content:

```diff
<ts-button
- [icon]="faHomeIcon"
  (clicked)="myFunc($event)"
>
+ <span class="fas fa-home"></span>
  Click me!
</ts-button>
```


## [2.2.1](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.2.0...@terminus/ui-button@2.2.1) (2020-11-12)


### Bug Fixes

* **Button:** add missing docs ([b9d7098](https://github.com/GetTerminus/terminus-oss/commit/b9d709853340a2eed3e4c145a8b1f4845696a4ed))





# [2.2.0](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.7...@terminus/ui-button@2.2.0) (2020-11-12)


### Features

* **Button:** add small variant, add alt-primary theme ([d2c662b](https://github.com/GetTerminus/terminus-oss/commit/d2c662b1539e17ff3423510ab5b87217d3b486e5))





## [2.1.7](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.6...@terminus/ui-button@2.1.7) (2020-11-11)


### Bug Fixes

* **Button:** add ui-styles to schematic ([213452b](https://github.com/GetTerminus/terminus-oss/commit/213452b37220d080465f0cf79a55cb4efdfdf06e))





## [2.1.6](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.5...@terminus/ui-button@2.1.6) (2020-11-11)


### Bug Fixes

* **Button:** correct dependencies, move stories ([e8e64e7](https://github.com/GetTerminus/terminus-oss/commit/e8e64e7f01a8b7f356212d9198d35e26b283dc45))





## 2.1.5 (2020-11-06)


### Bug Fixes

* **Button:** bump icon package ([723dabb](https://github.com/GetTerminus/terminus-oss/commit/723dabbbc01ed2653dfac8962bd331ef2f03099b))





## [2.1.4](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.3...@terminus/ui-button@2.1.4) (2020-10-01)

**Note:** Version bump only for package @terminus/ui-button





## [2.1.3](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.2...@terminus/ui-button@2.1.3) (2020-09-22)


### Bug Fixes

* **Button:** smooth out collapse animation ([e06295d](https://github.com/GetTerminus/terminus-oss/commit/e06295dc275825e03d4c4b9ef478d98602c9e903))





## [2.1.2](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.1...@terminus/ui-button@2.1.2) (2020-09-14)

**Note:** Version bump only for package @terminus/ui-button





## [2.1.1](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.1.0...@terminus/ui-button@2.1.1) (2020-09-11)

**Note:** Version bump only for package @terminus/ui-button





# [2.1.0](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.21...@terminus/ui-button@2.1.0) (2020-09-08)


### Bug Fixes

* force material & cdk ^9.2.4 for consumers ([ea09a6f](https://github.com/GetTerminus/terminus-oss/commit/ea09a6ff88a1ea239fe0e24cb011abfb3ffc8908)), closes [#275](https://github.com/GetTerminus/terminus-oss/issues/275)


### Features

* clean all markdown ([5249a59](https://github.com/GetTerminus/terminus-oss/commit/5249a59486be63b6d9a0be7a801defb9b6adcedc))





## [2.0.21](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.20...@terminus/ui-button@2.0.21) (2020-09-04)

**Note:** Version bump only for package @terminus/ui-button





## [2.0.20](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.19...@terminus/ui-button@2.0.20) (2020-09-03)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.19](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.18...@terminus/ui-button@2.0.19) (2020-09-01)

### Bug Fixes

* **Button:** publish arrays of allowed type and action ([dc8798d](https://github.com/GetTerminus/terminus-oss/commit/dc8798d67926dde9d325d3c683e76f760a7230e5))
* **Button:** update collapsed padding ([3765a5c](https://github.com/GetTerminus/terminus-oss/commit/3765a5cfc335d16f069f82197f77455c7350936f))

## [2.0.18](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.17...@terminus/ui-button@2.0.18) (2020-08-26)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.17](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.16...@terminus/ui-button@2.0.17) (2020-08-26)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.16](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.15...@terminus/ui-button@2.0.16) (2020-08-25)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.15](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.14...@terminus/ui-button@2.0.15) (2020-08-24)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.14](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.13...@terminus/ui-button@2.0.14) (2020-08-21)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.13](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.12...@terminus/ui-button@2.0.13) (2020-08-21)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.12](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.11...@terminus/ui-button@2.0.12) (2020-08-20)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.11](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.10...@terminus/ui-button@2.0.11) (2020-08-14)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.10](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.9...@terminus/ui-button@2.0.10) (2020-08-10)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.9](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.8...@terminus/ui-button@2.0.9) (2020-08-10)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.8](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.7...@terminus/ui-button@2.0.8) (2020-08-10)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.7](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.6...@terminus/ui-button@2.0.7) (2020-08-06)

### Bug Fixes

* **Button:** more lps tweaks ([0ad201e](https://github.com/GetTerminus/terminus-oss/commit/0ad201e04bb2bc560ea8f1bdb7398a370d5c41ea))

## [2.0.6](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.5...@terminus/ui-button@2.0.6) (2020-07-31)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.5](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.4...@terminus/ui-button@2.0.5) (2020-07-30)

### Bug Fixes

* more LPS tweaks ([dedfcf9](https://github.com/GetTerminus/terminus-oss/commit/dedfcf947e3bcd33041b388ccab9bcc5bf273f51))

## [2.0.4](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.3...@terminus/ui-button@2.0.4) (2020-07-29)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.3](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.2...@terminus/ui-button@2.0.3) (2020-07-29)

### Bug Fixes

* fast follow updates for LPS ([f15bfd4](https://github.com/GetTerminus/terminus-oss/commit/f15bfd4fa088da2fea76e9964c664bad8844e740))

## [2.0.2](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.1...@terminus/ui-button@2.0.2) (2020-07-28)

**Note:** Version bump only for package @terminus/ui-button

## [2.0.1](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@2.0.0...@terminus/ui-button@2.0.1) (2020-07-28)

### Bug Fixes

* bump all package versions ([9446c0d](https://github.com/GetTerminus/terminus-oss/commit/9446c0d5cde3bd693cfba7cabbfd2db443a47b00))

## [2.0.0](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.12...@terminus/ui-button@2.0.0) (2020-07-27)

### Bug Fixes

* **Button:** update border radius ([93895e8](https://github.com/GetTerminus/terminus-oss/commit/93895e89b8f5a13875711ba6bc591bef619a4c00))

### Features

* **Button:** change icon library ([757e405](https://github.com/GetTerminus/terminus-oss/commit/757e405772171fe575493ae3f5e22b3816abc5da))
* **Button:** new themes configuration ([48129f8](https://github.com/GetTerminus/terminus-oss/commit/48129f8ca328442828f5806dd28f635f7ea010b1)), closes [#28](https://github.com/GetTerminus/terminus-oss/issues/28)

### BREAKING CHANGES

* **Button:** New themes configuration
* **Button:** Change icon library
* **Button:** Border radius change
* **Button**: Remove long deprecated button type spelling `collapsable`.

#### 2.0.0 Migration Notes

##### Theme

If passing in a theme, use one of the new button themes: `default|secondary|warning`:

```diff
-<ts-button theme="primary">Click Me!</ts-button>
+<ts-button theme="default">Click Me!</ts-button>
```

##### Icon

If passing in an icon, pass in a FontAwesome icon reference instead of a string name:

```typescript
import { faHome } from '@fortawesome/pro-solid-svg-icons/faHome';
...
public home = faHome;
```

```diff
-<ts-button iconName="home">Go Home</ts-button>
+<ts-button [icon]="home">Go Home</ts-button>
```

> NOTE: Multiple versions of each icon exist. We should always import from the 'solid' collection.

##### Hollow

If using `format="hollow"` change to `theme="secondary"`:

```diff
-<ts-button format="hollow">Click Me!</ts-button>
+<ts-button theme="secondary">Click Me!</ts-button>
```

##### CSS Resources

Remove any imports or `<link>` tags importing Material Icons:

```diff
-<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
```

Update the imported font families:

```diff
-<link href="https://fonts.googleapis.com/css?family=Roboto:400,500,700" rel="stylesheet">
+<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;1,400&display=swap" rel="stylesheet">
```

## 1.0.12 (2020-07-24)

**Note:** Version bump only for package @terminus/ui-button

## 1.0.11 (2020-07-13)

**Note:** Version bump only for package @terminus/ui-button

## [1.0.10](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.9...@terminus/ui-button@1.0.10) (2020-07-07)

**Note:** Version bump only for package @terminus/ui-button

## 1.0.9 (2020-06-23)

**Note:** Version bump only for package @terminus/ui-button

## [1.0.8](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.7...@terminus/ui-button@1.0.8) (2020-06-10)

### Bug Fixes

* bump all internal dependencies ([ff26b80](https://github.com/GetTerminus/terminus-oss/commit/ff26b806bb599401f006996be5b567a378e68ef3))

## [1.0.7](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.6...@terminus/ui-button@1.0.7) (2020-06-09)

### Bug Fixes

* **Button:** trigger 3 ([ac11312](https://github.com/GetTerminus/terminus-oss/commit/ac11312f716926da51918a5de3271e4ea3a32c75))
* **Button:** trigger again ([142ba6f](https://github.com/GetTerminus/terminus-oss/commit/142ba6f079be141dab1ab4280cdf95065aff447b))

## [1.0.6](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.5...@terminus/ui-button@1.0.6) (2020-06-09)

### Bug Fixes

* **Button:** trigger release ([fc5eb9d](https://github.com/GetTerminus/terminus-oss/commit/fc5eb9d30928e79c5a29530f6237aff213d15058))

## 1.0.5 (2020-06-09)

### Bug Fixes

* **Button:** test release files ([55520f9](https://github.com/GetTerminus/terminus-oss/commit/55520f9322d8e282dc280750a14189fc795e06b8))
* **Button:** trigger release ([70b320d](https://github.com/GetTerminus/terminus-oss/commit/70b320d072a25a581451da86be72c1f5fce26398))
* **Button:** update ([a47f307](https://github.com/GetTerminus/terminus-oss/commit/a47f30757b9216d6ee76788c117e76eacf5289e5))

## [1.0.4](https://github.com/GetTerminus/terminus-oss/compare/@terminus/ui-button@1.0.3...@terminus/ui-button@1.0.4) (2020-06-09)

### Bug Fixes

* **Button:** trigger release ([70b320d](https://github.com/GetTerminus/terminus-oss/commit/70b320d072a25a581451da86be72c1f5fce26398))

## 1.0.3 (2020-06-09)

### Bug Fixes

* **Button:** test release files ([55520f9](https://github.com/GetTerminus/terminus-oss/commit/55520f9322d8e282dc280750a14189fc795e06b8))
* **Button:** update ([a47f307](https://github.com/GetTerminus/terminus-oss/commit/a47f30757b9216d6ee76788c117e76eacf5289e5))
